Subject: bug#6131: [PATCH]: fiemap support for efficient sparse file copy

From: Jim Meyering <[email-masked]>
Date: Fri, 28 Jan 2011 19:05:52 +0100

Jeff liu wrote:
> Now  make check passed against the following combination:
> 1. Refresh installed host in Ubuntu10.0.4,
> filefrag comes from E2fsprogs 1.41.11 && Kernel: 2.6.32-16
> 2. filefrag in e2fsprogs-1.4.12 && kernel-2.6.36.
[passes]

Glad to here it passes for you, now.
FYI, I have spent pretty much time on cp over the last
couple days, factoring out the hole-inducing code and
making extent_copy use it.  Part of the motivation was
to fix cp --sparse=always, which was broken on the branch.
It would not induce holes when going through extent_copy.
I've added a couple more tests and will post the series as
soon I've cleaned things up a little more.